## org.plovr.docgen
Class MethodDescriptor.Builder

    java.lang.Object
      org.plovr.docgen.MethodDescriptor.Builder

Enclosing class:
  MethodDescriptor

    public static class MethodDescriptor.Builder

extends java.lang.Object

Method Summary
`void` `addParam(ParamDescriptor param)`
`MethodDescriptor` `build()`
`AccessLevel` `getAccessLevel()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`TypeExpression` `getReturnType()`
`void` `setAccessLevel(AccessLevel accessLevel)`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`
`void` `setReturnType(TypeExpression returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public MethodDescriptor build()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getReturnType

    public TypeExpression getReturnType()

### setReturnType

    public void setReturnType(TypeExpression returnType)

### addParam

    public void addParam(ParamDescriptor param)

### getAccessLevel

    public AccessLevel getAccessLevel()

### setAccessLevel

    public void setAccessLevel(AccessLevel accessLevel)